//  Created by Sir Cheshire

 #import <Foundation/Foundation.h>
 
 #define ImgDownloadErrorDomain      @"Erro de download"
 enum 
 {   ImgDownloadErrorNoConnection = 1000,
 };
 
 @class ImgDownload;
 @protocol ImgDownloadDelegate
 - (void)downloadDidFinishDownloading:(ImgDownload *)download;
 - (void)download:(ImgDownload *)download didFailWithError:(NSError *)error;
 @end
 
 
 @interface ImgDownload : NSObject 
 {     NSString
 
 *urlString;   UIImage
 
 *image;      id <NSObject, ImgDownloadDelegate>  delegate;
 
 @private   NSMutableData
 
 *receivedData;   BOOL
 
 downloading;
 }
 @property (nonatomic, strong) NSString *urlString;
 @property (nonatomic,  strong) UIImage *image;
 
 @property (nonatomic, strong) id <NSObject, ImgDownloadDelegate> delegate;
 @end
 
