//  Created by Sir Cheshire

#import "FotoHandler.h"
#import "Foto.h"

@implementation FotoHandler

@synthesize galeriaUrl;

- (NSString *)urlEncodeValue:(NSString *)str
{
    NSString *result = (__bridge NSString *) CFURLCreateStringByAddingPercentEscapes(kCFAllocatorDefault, (__bridge CFStringRef)str, NULL, CFSTR("?=&+"), kCFStringEncodingUTF8);
    
    return result;
}

-(NSArray*) fetchContent
{
    galeriaUrl = [self urlEncodeValue:galeriaUrl];
    
    NSString * post = [[NSString alloc] initWithFormat:@"&url=%@",galeriaUrl];
    
    
    NSData * postData = [post dataUsingEncoding:NSUTF8StringEncoding allowLossyConversion:NO];
    NSString * postLength = [NSString stringWithFormat:@"%d",[postData length]];
    NSMutableURLRequest * request = [[NSMutableURLRequest alloc] init] ;
    [request setURL:[NSURL URLWithString:[NSString stringWithFormat:@"http://br4games.com.br/carioca/festa.xml.php"]]]; 
    [request setHTTPMethod:@"POST"];
    [request setValue:postLength forHTTPHeaderField:@"Content-Length"];
    [request setValue:@"application/x-www-form-urlencoded" forHTTPHeaderField:@"Content-Type"];
    [request setHTTPBody:postData];
    NSData* resposta = [NSURLConnection sendSynchronousRequest:request returningResponse:nil error:nil];
    
    
    parser = [[NSXMLParser alloc] initWithData:resposta];
    [parser setDelegate:self];
    
    if ([parser parse]) 
    {
        NSLog(@"parser bem sucedido da lista de galerias");
    }
    else
    {
        NSLog(@"erro no parsing da lista de fotos");   
    }
    
    return [fotos copy];
}

-(void) parser:(NSXMLParser *)parser didStartElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qName attributes:(NSDictionary *)attributeDict
 {
     if ([elementName isEqualToString:@"Original"] || 
         [elementName isEqualToString:@"Thumb"]) 
     {
         tempString = [NSMutableString new];
     }
     else if([elementName isEqualToString:@"Foto"])
     {
         tempFoto = [[Foto alloc] init];
     }
     else if([elementName isEqualToString:@"Festa"])
     {
        fotos = [NSMutableArray new]; 
     }
 }
 

-(void) parser:(NSXMLParser *)parser foundCharacters:(NSString *)string
{
    [tempString appendString:string];
}

-(void) parser:(NSXMLParser *)parser didEndElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qName
{
    if ([elementName isEqualToString:@"Foto"])
    {
        [fotos addObject:tempFoto];
    }
    else if([elementName isEqualToString:@"Thumb"])
    {
        tempFoto.thumb = [tempString copy];
        
        tempString = [NSMutableString new];
    }
    else if ([elementName isEqualToString:@"Original"])
    {
        tempFoto.foto = [tempString copy];
        
        tempString = [NSMutableString new];
    }
    else if(![elementName isEqualToString:@"Festa"])
    {
        NSLog(@"elemento desconhecido %@ de valor %@",elementName,tempString);
    }
}

@end
