//  Created by Sir Cheshire

#import "GaleriasHandler.h"
#import "Galeria.h"

@implementation GaleriasHandler


-(NSArray*) fetchContent
{    
    //colocar o endereço do xml
    parser = [[NSXMLParser alloc] initWithContentsOfURL:[[NSURL alloc] initWithString:@"http://br4games.com.br/carioca/indice.xml.php"]];
    [parser setDelegate:self];
    
    if ([parser parse]) 
    {
        NSLog(@"parser bem sucedido da lista de galerias");
    }
    else
    {
        NSLog(@"erro no parsing da lista de galerias");   
    }
    
    return [galerias copy];
}

-(void) parser:(NSXMLParser *)parser didStartElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qName attributes:(NSDictionary *)attributeDict
{
    if ([elementName isEqualToString:@"Nome"] || 
        [elementName isEqualToString:@"Local"] || 
        [elementName isEqualToString:@"Data"] || 
        [elementName isEqualToString:@"Url"] || 
        [elementName isEqualToString:@"Foto"]) 
    {
       tempString = [NSMutableString new];
    }
    else if([elementName isEqualToString:@"Festa"])
    {
        tempGaleria = [[Galeria alloc] init];
    }
    else if ([elementName isEqualToString:@"Indice"])
    {
        galerias = [NSMutableArray new];
    }
}

-(void) parser:(NSXMLParser *)parser foundCharacters:(NSString *)string
{
    [tempString appendString:string];
}

-(void) parser:(NSXMLParser *)parser didEndElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qName
{
    if ([elementName isEqualToString:@"Festa"])
    {
        [galerias addObject:tempGaleria];
        //pode dar merda, se so ficar colocando o ponteiro em todas as casas ao inves de copiar a referencia. alternativa seria criar outro objeto aqui e falar que esse objeto é a tempGaleria
        //depois adicionar o segundo objeto. 
        //oque tambem poderia dar merda. so queria nao precisar mais fazer a porra do copy.
        
        //nem deu lololol   
    }
    else if([elementName isEqualToString:@"Nome"])
    {
        tempGaleria.nome = [tempString copy];
    }
    else if ([elementName isEqualToString:@"Local"])
    {
        tempGaleria.local = [tempString copy];
    }
    else if ([elementName isEqualToString:@"Data"])
    {
        tempGaleria.data = [tempString copy];
    }
    else if ([elementName isEqualToString:@"Url"])
    {
        tempGaleria.url = [tempString copy];
    }
    else if ([elementName isEqualToString:@"Foto"])
    {
        tempGaleria.foto = [tempString copy];
    }
    else if(![elementName isEqualToString:@"Indice"])
    {
        NSLog(@"elemento desconhecido %@ de valor %@",elementName,tempString);
    }
}

@end


